package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaTqueMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaTque;
import com.goldenwater.slaj.ttsa.service.IBisTtsaTqueService;

@Service
public class BisTtsaTqueServiceImpl implements IBisTtsaTqueService {
    @Autowired
    private BisTtsaTqueMapper bisTtsaTqueMapper;

    @Override
    public BisTtsaTque selectBisTtsaTqueByGuid(String guid) {
        return bisTtsaTqueMapper.selectBisTtsaTqueByGuid(guid);
    }

    @Override
    public List<BisTtsaTque> selectBisTtsaTqueList(BisTtsaTque bisTtsaTque) {
        return bisTtsaTqueMapper.selectBisTtsaTqueList(bisTtsaTque);
    }

    @Override
    public int insertBisTtsaTque(BisTtsaTque bisTtsaTque) {
        return bisTtsaTqueMapper.insertBisTtsaTque(bisTtsaTque);
    }

    @Override
    public int updateBisTtsaTque(BisTtsaTque bisTtsaTque) {
        return bisTtsaTqueMapper.updateBisTtsaTque(bisTtsaTque);
    }

    @Override
    public int deleteBisTtsaTqueByGuid(String guid) {
        return bisTtsaTqueMapper.deleteBisTtsaTqueByGuid(guid);
    }

    @Override
    public int deleteBisTtsaTqueByGuids(String[] guids) {
        return bisTtsaTqueMapper.deleteBisTtsaTqueByGuids(guids);
    }
}
